Subject: [eap] Eap tls : MPPE key generation query

From: Avinash Agarwal <[email-masked]>
Date: Tue, 10 Aug 2004 22:33:51 -0700

Hello,
I'm trying to implement the EAP TLS rfc and I'm 
facing a problem in the last step of this.

I was directed by Bernard Aboba to this mailing list 
for help.

I'm facing a problem in sending the MPPE (Send/Recv) keys 
to the AP.

This is what I've done .
As per the Key derivation section (section 3.5) of RFC 2716
I get the 
	Peer encryption key (first 32 bytes)
	Server encryption key (next 32 bytes)
	Client auth key (next 32 bytes)
	Server auth key (last 32 bytes)

From the following
PRF(master key,"client EAP encryption",client random+sever random)

To the MPPE-Recv-Key attribute I send the "Peer encryption key" After
encrypting as per rfc 2548

To the MPPE-Send-Key attribute I send the "Server encryption key" After
encrypting as per rfc 2548.

When I send this to the AP , the client gets the EAPOL keys. However I'm not
able to connect to the net.

But when I configure Static WEP keys, this works fine.

Could someone tell me if the procedure followed by me is right or 
There is some problem in my understanding?

TIA.
Regards,
Avinash

_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap